/*
 * @Author: zhuchuanyong
 * @Date: 2021-01-27 16:08:23
 * @LastEditors: zhuchuanyong
 * @LastEditTime: 2021-01-27 18:08:49
 * @FilePath: \src\script\iconScript.js
 */
const fs = require('fs');
const path = require('path');
const rootPath = path.resolve('.');
// 组件地址
const iconComDirectory = '/src/components/VtIcon';
// 字体文件地址
const iconFileDirectory = '/src/fonts/Iconfont';

let IconFontJsonPath = path.join(rootPath + iconFileDirectory, 'iconfont.json');

let iconComPath = path.join(rootPath + iconComDirectory, 'iconfont.json');

// 读取icontjson
const fileJson = JSON.parse(fs.readFileSync(IconFontJsonPath, 'utf-8'));

// 处理数据
let res = {};
fileJson.glyphs.forEach((item) => {
  res = Object.assign(res, {[item.name]: item.unicode_decimal});
});

// 写入数据
fs.writeFileSync(iconComPath, JSON.stringify(res, null, 4));
