/*
 * @Author: zhuchuanyong
 * @Date: 2021-01-28 13:05:52
 * @LastEditors: zhuchuanyong
 * @LastEditTime: 2021-01-28 13:34:09
 * @FilePath: \src\views\Rematch.js
 */
import {Button} from '@ant-design/react-native';
import React from 'react';
import {Text, View} from 'react-native';
import {useSelector, useDispatch, useStore} from 'react-redux';
const RematchPage = (props) => {
  const store = useStore();
  let storeState = store.getState(); // 获取定义的全部store

  const {num} = useSelector((state) => state.home); // 获取home模块的值

  const {name} = useSelector((state) => state.user); // 获取user模块的值

  // 获取Dispatch 方法
  const dispatch = useDispatch();
  const {add, asyncAdd} = dispatch.home;
  return (
    <>
      <View>
        <Text>首页</Text>
        <Text>{name}</Text>

        <Text>{num}</Text>
        <Button type="primary" onPress={() => add(1)}>
          加1
        </Button>
        <Button type="primary" onPress={() => dispatch.home.AsyncAdd(1)}>
          异步加1
        </Button>
      </View>
    </>
  );
};

export default RematchPage;
